%define major 0
%define libname %mklibname logging %{major}
%define develname %mklibname logging -d

Name:           liblogging
Version:        1.0.6
Release:        %mkrel 3
Summary:        An easy to use logging library
License:        BSD
Group:          System/Libraries
Url:            http://www.liblogging.org/
Source0:        http://download.rsyslog.com/liblogging/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(libsystemd) >= 216

%description
Liblogging is an easy to use logging library.

It contains the Libstdlog component is used for standard logging
(syslog replacement) purposes via multiple channels.

%package -n %{libname}
Summary:        An easy to use logging library
Group:          System/Libraries

%description -n %{libname}
Liblogging is an easy to use logging library.

It contains the Libstdlog component is used for standard logging
(syslog replacement) purposes via multiple channels.

%package -n %{develname}
Summary:        Development files for LibLogging stdlog library
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}


%description -n %{develname}
The liblogging-devel package includes header files, libraries necessary for
developing programs which use liblogging library.

%prep
%setup -q

%build
autoreconf -vfi
%configure \
  --disable-static \
  --enable-rfc3195 \
  --enable-journal

%make V=1

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc COPYING
%{_libdir}/liblogging-rfc3195.so.%{major}{,.*}
%{_libdir}/liblogging-stdlog.so.%{major}{,.*}
%{_bindir}/stdlogctl
%{_mandir}/man1/stdlogctl*

%files -n %{develname}
%doc ChangeLog COPYING README
%doc rfc3195/doc/html
%{_libdir}/liblogging-rfc3195.so
%{_libdir}/liblogging-stdlog.so
%{_includedir}/%{name}
%{_libdir}/pkgconfig/liblogging-rfc3195.pc
%{_libdir}/pkgconfig/liblogging-stdlog.pc
%{_mandir}/man3/stdlog*


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 1.0.6-3.mga8
+ Revision: 1514223
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0.6-2.mga7
+ Revision: 1298966
- Mageia 7 Mass Rebuild

* Tue May 16 2017 luigiwalser <luigiwalser> 1.0.6-1.mga6
+ Revision: 1102217
- 1.0.6

* Thu Feb 11 2016 umeabot <umeabot> 1.0.5-2.mga6
+ Revision: 955605
- Mageia 6 Mass Rebuild

* Tue Oct 13 2015 pterjan <pterjan> 1.0.5-1.mga6
+ Revision: 890514
- Update to 1.0.5

* Wed Oct 15 2014 umeabot <umeabot> 1.0.4-6.mga5
+ Revision: 748902
- Second Mageia 5 Mass Rebuild

* Tue Oct 07 2014 eatdirt <eatdirt> 1.0.4-5.mga5
+ Revision: 737442
- Fix double lib prefix in Provides

* Tue Oct 07 2014 eatdirt <eatdirt> 1.0.4-4.mga5
+ Revision: 737228
- Add missing provides to the devel package

* Tue Sep 16 2014 umeabot <umeabot> 1.0.4-3.mga5
+ Revision: 681579
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 joequant <joequant> 1.0.4-2.mga5
+ Revision: 671636
- rebuild with new systemd

* Tue Jul 01 2014 pterjan <pterjan> 1.0.4-1.mga5
+ Revision: 642004
- imported package liblogging

